# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nota_nuc/version'

Gem::Specification.new do |spec|
  spec.name          = "nota_nuc"
  spec.version       = NotaNuc::VERSION
  spec.authors       = ["Mark Focella"]
  spec.email         = ["m.focella@gmail.com"]
  spec.description   = %q{Slates is a simple notetaking application that makes use of its own command line.}
  spec.summary       = %q{Slates - A simple notetaking application}
  spec.homepage      = "https://www.bitbucket.org/mfocella/nota_nuc"
  spec.license       = "OSL3"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  spec.post_install_message = 'Thank you for installing!  To use this application enter the db directory and run ruby create_db_Penrhyn.rb'

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "cucumber"
  spec.add_development_dependency "minitest", "~>4.2"

  spec.add_runtime_dependency "activerecord", "~>4.0.0"
  spec.add_runtime_dependency "green_shoes", "~>1.1.374"
  spec.add_runtime_dependency "sqlite3", "~>1.3.8"


end




